import { ColumnHeader, FlattenObject } from '../types';
import { MaybeRef } from 'vue';
import { VueyeTableProps } from '../api';
interface PaginationProps {
    perPage: number;
    currentPage: number;
}
export declare function useBodyRows<TData extends Record<string, unknown>, TColumn extends ColumnHeader<TData>>(props: VueyeTableProps<TData, TColumn>, headers: MaybeRef<ColumnHeader[]>, pagination: MaybeRef<PaginationProps>): {
    bodyRows: globalThis.ComputedRef<FlattenObject<TData>[]>;
    rowsCount: globalThis.ComputedRef<number>;
    onSort: ({ key, desc }: {
        key: keyof FlattenObject<TData>;
        desc: boolean;
    }) => void;
};
export {};
