import { DeepKeys } from './Utils';
export type ColumnHeader<TData extends Record<string, unknown> = Record<string, unknown>> = {
    key: string;
    fullKey?: string;
    label: string;
    children?: ColumnHeader<TData>[];
    align?: 'left' | 'center' | 'right';
    fixed?: 'left' | 'right';
    className?: string;
    labelClassName?: string;
    rowSpan?: number;
    colSpan?: number;
    scope?: string;
    sortable?: true;
};
export declare function defineTableColumnHeaders<TData extends Record<string, unknown>>(columnHeaders: ColumnHeader<TData>[]): ColumnHeader<TData>[];
type SlotGenerator<T, Prefix extends string> = {
    [K in DeepKeys<T> as K extends string ? `${Prefix}.${K}` : never]: (props: {
        headerItem: ColumnHeader;
    }) => any;
};
export type SlotHeaderCell<T> = SlotGenerator<T, 'headerCell'>;
export type SlotHeaderCellContent<T> = SlotGenerator<T, 'headerCellContent'>;
export type SlotHeader<T> = SlotHeaderCell<T> & SlotHeaderCellContent<T> & {
    headers: (props: {
        headers: ColumnHeader[][];
    }) => any;
    checkbox: () => any;
};
export {};
